#
# spec file for package osc-source_validator
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           osc-source_validator
Version:        0.1
Release:        4.5.1
License:        GPLv2+
Summary:        osc source validator
Url:            http://en.opensuse.org/openSUSE:Build_Service_Tools#OSC_source_validator
Group:          Development/Tools/Building
Source:         %{name}-%{version}.tar.bz2
Source1:        get_source.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
osc is checking valid sources on pre-checkin via this package

%prep
%setup -q -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/osc/source_validators
cp -a [0-9]* helpers %{buildroot}%{_prefix}/lib/osc/source_validators

%files
%defattr(-,root,root)
%doc COPYING
%{_prefix}/lib/osc

%changelog
* Fri Jul  1 2011 ro@suse.de
- prevent dupes for Release and Version along with Name
* Mon May 30 2011 ro@suse.de
- fix bug with "Patch" in comments
* Mon May  9 2011 ro@novell.com
- try to fix bnc#679980
* Wed Apr 20 2011 ro@suse.de
- find another form of commenting out patches
  in check_patches_applied
* Mon Apr 18 2011 ro@suse.de
- Also check if files are tracked by osc
- catch some more syntax variants in check_patches_applied
- do tracked-check only in osc mode
* Tue Apr 12 2011 ro@suse.de
- activate the patches_applied check for real,
  errors out if errors found
* Mon Apr  4 2011 ro@suse.de
- add debian special files
* Wed Mar 30 2011 ro@suse.de
- add colors to output of check_patches_applied
  but no colors for batchmode
* Fri Feb 18 2011 jw@novell.com
- retry broken sr#59008
- added another set of runtime-fixes.diff
  * accept .orig and ~ files in working directories.
  * UI consistency improved.
* Sat Feb 12 2011 ro@novell.com
- 50-spec-version: show warning only once per specfile
* Thu Jan 13 2011 ro@suse.de
- move COPYING file to docdir (prevent permission denied trying
  to execute it as a checkscript)
* Thu Jan 13 2011 ro@suse.de
- switch source to git (gitorious/opensuse)
- convert_changes_to_rpm_changelog make regex a little stricter
  looking for date line
- 20-files-present-and-referenced add %%rubygems_requires to
  prunelist
- add some helper files to create tar and changes
- stale-changes: do not fail if there is no specfile present at all
- stale-changes: allow extra changes files if listed as source in a
  spec
* Tue Jan  4 2011 mcihar@suse.cz
- add Url pointing to wiki to spec file
* Tue Jan  4 2011 mcihar@suse.cz
- cleanup spec file using spec-cleaner
* Tue Jan  4 2011 mcihar@suse.cz
- create 0.1 tarball with incorporated patch and added license file
- adjust spec file for above changes
* Mon Oct  4 2010 adrian@suse.de
- do not complain about files starting with underscore, they are
  OBS special files in any case
* Sat May 22 2010 adrian@suse.de
- add some modification to survive some more examples
* Thu May 20 2010 ro@suse.de
- make the files executable
* Thu May 20 2010 ro@suse.de
- fill with some content
* Thu May 20 2010 adrian@suse.de
- initial package, no code yet, always succeeding
